Page MenuHomePhabricator

Special:ItemDisambiguation should include aliases in search, not just labels.
Closed, ResolvedPublic1 Story Points

Description

When searching for Foo in Special:ItemDisambiguation, Items that have Foo as an aliases should be included in the result.

This can and should be achieved by querying the wb_terms table via the TermsCache interface.


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=0
See Also:
T44686: Special:ItemDisambiguation should support case-insensitive matches.

Details

Reference
bz43962

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:14 AM
bzimport set Reference to bz43962.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Jan 14 2013, 4:14 PM

Using TermsCache would also fix bug 42686.

Note: The behavior of Special:ItemDisambiguation should be consistent with ApiSearchEntities.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

With T90692 implemented, this should now be easy to do. I already have a patch in draft, with some UX questions remaining.

Tobi_WMDE_SW edited a custom field.Jun 30 2015, 2:07 PM

Change 222331 had a related patch set uploaded (by Daniel Kinzler):
Do not use labels when linking item IDs on Special:ItemDisambiguation

https://gerrit.wikimedia.org/r/222331

Change 221583 merged by jenkins-bot:
Make Special:ItemDisambiguation match aliases.

https://gerrit.wikimedia.org/r/221583

Change 222331 merged by jenkins-bot:
Do not use labels when linking item IDs on Special:ItemDisambiguation

https://gerrit.wikimedia.org/r/222331

Addshore closed this task as Resolved.Jul 2 2015, 8:54 PM
Addshore claimed this task.